/Users/bernard/b20/bsoft/src/rwparam/rwFSC_XML.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwparam/rwFSC_XML.cpp - Library routines to read and write FSC curves.

SYNOPSIS

#include 'ps_plot.h'
#include 'utilities.h'

  Macros
#define FSCX 'Resolution (A-1)'
#define FSCY 'Correlation Coefficient'

  Functions
Bplot * xml_read_fsc (Bstring &filename)
Reads an XML file with an FSC curve.
void xml_write_fsc (Bstring &filename, Bplot *plot)

  Variables
int verbose

Detailed Description

Library routines to read and write FSC curves.

Author:
    Bernard Heymann

Date:
    Created: 20121216

    Modified: 20140423

Definition in file rwFSC_XML.cpp.

Macro Definition Documentation

  #define FSCX 'Resolution (A-1)'

Definition at line 16 of file rwFSC_XML.cpp.

  #define FSCY 'Correlation Coefficient'

Definition at line 17 of file rwFSC_XML.cpp.

Function Documentation

  Bplot* xml_read_fsc (Bstring & filename)

Reads an XML file with an FSC curve.

Parameters:
    &filename input file name.

Returns:
    Bplot* new plot.

    A new plot with two columns is generated.

Definition at line 167 of file rwFSC_XML.cpp.

  void xml_write_fsc (Bstring & filename, Bplot * plot)

Definition at line 218 of file rwFSC_XML.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.